/*	##############################################################################################
	Advanced RTI System, ARTÌS			http://pads.cs.unibo.it

	Description:	
		SImulation MAnager (SIMA). The SIMA is necessary to bootstrap the simulation.

	############################################################################################## */


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <LPInfo.h>
#include <RTIComm.h>


int main( int argc, char *argv[] )
{

	// Setup of the communication engin
	COMM_SetDebug(0);

	// Initialization, parameters:
	//	communication port (TCP)
	//	number of LPs composing the simulation
	//	filename of the simulation channels definition (e.g. channels.txt)
	SIMA_Initialize(5000, atoi(argv[1]), "channels.txt");

	/* ... */

	// Finalization
	SIMA_Finalize( );

	// Exit BEFORE than the simulation finishes
	return 0;
}
/*---------------------------------------------------------------------------*/
