#ifndef __CMB_H
#define __CMB_H


#define MAX_ERROR_STRING  256


typedef double 		TM_Time;


int	CMB_Init( char *, char *, int );
int	CMB_Send( int, TM_Time, void *, int );
int 	CMB_Broadcast( TM_Time, void *, int );
int 	CMB_SendToOthers( TM_Time, void *, int );
int 	CMB_Schedule( TM_Time, void *, int );
long 	CMB_Receive( int *, TM_Time *, void *, int );
TM_Time	CMB_SetLookAhead( int, TM_Time );
TM_Time CMB_GetLookAhead( int );
void 	CMB_Finalize( );

#endif /*__CMB_H*/
