#ifndef __TREE_BARRIER_H
#define __TREE_BARRIER_H


#define TRB_CONST_LOOKAHEAD	13
#define TRB_VAR_LOOKAHEAD	17

#define	TM_Time	double

int	TRB_Initialize( char *, char *, int , int, TM_Time );
int	TRB_Send( int, TM_Time, void *, int );
int 	TRB_Broadcast( TM_Time, void *, int );
int 	TRB_SendToOthers( TM_Time, void *, int );
int 	TRB_Schedule( TM_Time, void *, int );
long 	TRB_Receive( int *, TM_Time *, void *, int );
TM_Time TRB_TimeAdvance( );
void 	TRB_Finalize( );


#endif	/* __TREE_BARRIER_H */
